Mandates

List Mandates

GET
/orgs/{organizationId}/customers/{customerId}/mandates

Lists mandates with pagination, filtering, and sorting. Scoped to the customer in the path.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

customerId*string

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""mandateId""status""provider""paymentMethod""providerInfo""createdAt""updatedAt""maximumAmount""currency""lastUsedAt""expiresAt""customerId""setupPaymentId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
setupPaymentId?string|array<string>|null
status?|array<>|
provider?|array<>|
paymentMethod?|array<>|
maximumAmount?number||
createdAt?|null
updatedAt?|null
lastUsedAt?|null
expiresAt?|null
mandateId?string|array<string>|
currency?string|array<string>|
providerInfo?
hasPayments?boolean|string|number|null
hasNoPayments?boolean|string|number|null
hasCustomerInvoicingSettings?boolean|string|number|null
hasNoCustomerInvoicingSettings?boolean|string|number|null
hasInvoices?boolean|string|number|null
hasNoInvoices?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
paymentId?string|array<string>|
customerInvoicingSettingId?string|array<string>|
invoiceId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
hasSetupPayment?boolean|string|number|null
hasNoSetupPayment?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/customers/string/mandates'
null